V1 and V2Assets

Search assets

POST
/api/v1/assets/search

Filter assets by multiple criteria

Filter structure and format is described under Resources section in this guide

Restrictions

  • Search filters will return a 428 status code if the filtered results include more than 10000 assets and the order field is filled.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST 'https://example.com/api/v1/assets/search' \  -H 'Content-Type: application/json' \  --data-raw '{  "filters": [],  "attributes": [    "modified",    "filename"  ],  "pagination": {    "order": "modified",    "page": 1,    "page_size": 5  }}'
{  "data": [    {      "filename": "k9189-1.jpg",      "id": "5c483ee8eb9139000154dd5e",      "modified": "2019-01-23T10:16:08.122000+00:00"    },    {      "filename": "naranja.png",      "id": "5c483f08eb9139000154dd61",      "modified": "2019-01-23T10:16:40.850000+00:00"    },    {      "filename": "dos_naranjas.jpeg",      "id": "5c483fbaeb9139000154dd64",      "modified": "2019-01-23T10:19:38.335000+00:00"    },    {      "filename": "naranja.jpeg",      "id": "5c483fbaeb9139000154dd66",      "modified": "2019-01-23T10:19:38.446000+00:00"    },    {      "filename": "rrh_1.png",      "id": "5c483fbaeb9139000154dd67",      "modified": "2019-01-23T10:19:38.491000+00:00"    }  ],  "pagination": {    "count": 2241,    "order": "modified",    "page": 1,    "page_size": 5,    "total_count": 2241  }}